
#ifndef QT_MOCKS_EXPORT_H
#define QT_MOCKS_EXPORT_H

#ifdef QT_MOCKS_STATIC_DEFINE
#  define QT_MOCKS_EXPORT
#  define QT_MOCKS_NO_EXPORT
#else
#  ifndef QT_MOCKS_EXPORT
#    ifdef qt_mocks_EXPORTS
        /* We are building this library */
#      define QT_MOCKS_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define QT_MOCKS_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef QT_MOCKS_NO_EXPORT
#    define QT_MOCKS_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef QT_MOCKS_DEPRECATED
#  define QT_MOCKS_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef QT_MOCKS_DEPRECATED_EXPORT
#  define QT_MOCKS_DEPRECATED_EXPORT QT_MOCKS_EXPORT QT_MOCKS_DEPRECATED
#endif

#ifndef QT_MOCKS_DEPRECATED_NO_EXPORT
#  define QT_MOCKS_DEPRECATED_NO_EXPORT QT_MOCKS_NO_EXPORT QT_MOCKS_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef QT_MOCKS_NO_DEPRECATED
#    define QT_MOCKS_NO_DEPRECATED
#  endif
#endif

#endif /* QT_MOCKS_EXPORT_H */
